Packages
List tools
List all tools (system + org) in the organization.
GET
/api/packages/toolsbetter-auth.session_token<token>
Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.
In: cookie
Header Parameters
X-Org-Id?string
Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).
Format
uuidcurl -X GET "https://loading/api/packages/tools"{
"tools": [
{
"id": "string",
"name": "string",
"description": "string",
"source": "system",
"createdBy": "string",
"createdByName": "string",
"usedByAgents": 0,
"version": "string",
"autoInstalled": true,
"forkedFrom": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}{
"type": "https://docs.appstrate.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing session",
"code": "unauthorized",
"requestId": "req_abc123"
}